<div class="container mx-auto px-4 mb-10">

<div class="py-2 sm:py-5 mx-auto flex flex-col items-center justify-center relative">
    <!-- Title -->
    <h1 class="text-4xl sm:text-6xl font-extrabold text-black tracking-tight dark:text-slate-200 sm:text-center">Short links, large communities</h1>
    <!-- Subtitle -->
    <h2 class="text-xl sm:text-xl font-medium text-black tracking-normal dark:text-slate-400 mt-2">Shorten links and gain subscribers, followers, likes, etc. with Socialup!</h2>
</div>


  <div class="flex items-center justify-center pt-5">
    <div class="bg-white rounded-xl shadow-lg w-full sm:w-2/4">
      <div class="p-8">
        <h3 class="text-center pb-4 text-2xl font-extrabold text-black tracking-tight">Create your link</h3>

        <form id="linkForm" action="{{ route('createlink') }}" method="POST">
          @csrf
          <div id="steps">
            <div class="step flex flex-col py-1">
              <div class="py-1">
                <label for="step" class="mb-2 text-md font-semibold text-black">Step Text</label>
                <select name="step[]" class="bg-white border border-gray-300 text-gray-900 text:md sm:text-lg rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5">
                  {{$steps}}
                </select>
              </div>
              <div class="py-1">
                <label for="url" class="mb-2 text-md font-semibold text-black">Step URL</label>
                <input type="url" name="step_url[]" class="bg-white border border-gray-300 text-gray-900 text:md sm:text-lg rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5" placeholder="https://...">
              </div>
            </div>
          </div>

          <div class="flex flex-row pb-5">
            <button type="button" id="remove_step" class="font-bold bg-gray-50 text-gray-700 text-xs sm:text-md rounded-lg py-2 px-4 disabled:opacity-40 cursor-not-allowed" disabled>
              - Remove Step
            </button>
            <span class="mx-2"></span>
            <button type="button" id="add_step" class="font-bold bg-black hover:bg-gray-900 text-white text-xs sm:text-md rounded-lg py-2 px-4 sm:text-md">
              + Add Step
            </button>
          </div>

          <div class="flex flex-col py-2">
            <label for="nombre" class="mb-2 text-md font-semibold text-black">Target URL</label>
            <input type="url" name="target_url" class="bg-white border border-gray-300 text-gray-900 text:md sm:text-lg rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5" placeholder="https://...">
          </div>

          <div class="flex flex-col items-center pt-7">
            <button type="button" id="submitForm" class="w-full font-semibold bg-black text-white text-md sm:text-lg rounded-lg py-3 px-5 p-5">
              Create Link
            </button>
          </div>
        </form>

        <div id="responseMessage" class="hidden text-center mt-4 bg-red-200 text-red-700 py-2 px-4 rounded-lg font-semibold"></div>

      </div>
    </div>
  </div>
</div>

<x-modalsuccess></x-modalsuccess>

<div class="w-full mt-10 pt-20 sm:mt-20 sm:pt-0 mx-auto px-4 mb-10">

    <div class="container mx-auto px-10 md:px-0 py-8 grid grid-cols-1 md:grid-cols-3 gap-2 md:gap-4">
        <x-feature icon="fa-solid fa-bolt" title="Fast" description="In under 60 seconds you can create a fully functional subscribe to unlock site and use it anywhere!"></x-feature>
        <x-feature icon="fa-solid fa-rocket" title="Successful" description="Statistics show that using Socialup.co increases your audience extremely! What are you waiting for?"></x-feature>
        <x-feature icon="fa-solid fa-splotch" title="Satisfaction" description="The majority of our users are satisfied with the results they got. Join them now for free!"></x-feature>
    </div>


</div>

<div class="w-full bg-black mx-auto px-4">

    <div class="container mx-auto px-2 md:px-0 py-8">
        <div class="py-6">
            <div class="w-full mx-auto px-4 pb-8">
                <h2 class="text-4xl font-extrabold text-black tracking-tight font-bold mb-1 text-center text-white">What our users say</h2>
                <p class="text-lg text-white tracking-tight text-center">This is what our users say about the platform and what happened when they started using our service.</p>
                <div class="grid grid-cols-1 md:grid-cols-2 lg:grid-cols-4 gap-8">
                    <x-review image="https://boost.ink/assets/img/byel.jpg" review="Thanks to SocialUp.co I could easily increase my subscriber count in just a few weeks. Since I started promoting Boost.ink links in my video descriptions my channel has been doing amazing. I can recommend this service to each and everyone who is planning on a successful youtube career!" user="byEliteHacks"  suscribers="28.000 Subscribers"></x-review>
                    <x-review
                        image="https://boost.ink/assets/img/viper.jpg"
                        review="SocialUp.co is one of the most desirable methods on YouTube for growing your channel, may it be a small YouTube channel or a more popular one, like mine, you will be satisfied with the service this website has to offer you. Simply an outstanding and great working service."
                        user="Viper Venom"
                        suscribers="101.000 Subscribers">
                    </x-review>
                    <x-review
                        image="https://boost.ink/assets/img/pain.jpg"
                        review="This site is astonishing. The second I started using this site I instantly noticed that my sub count was booming. It has been an incredible journey so far and I am looking forward to working with this site in the future. No other service gave me results as as good as SocialUp.co did."
                        user="Pain Exist"
                        suscribers="100.000 Subscribers">
                    </x-review>
                    <x-review
                        image="https://boost.ink/assets/img/filter.jpg"
                        review="Amazing site. Without it I wouldn't be generating even close to the revenue through my YouTube channel that I am today. It's the reason I can boost my channel so easily. I just grab a link, drop it, set some options and within a few seconds I can expect my channel to receive much more traction!"
                        user="Filter"
                        suscribers="26.000 Subscribers">
                    </x-review>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="w-full mx-auto px-4">
    <div class="container mx-auto px-2 md:px-0 py-8">
        <div class="py-6">
            <div class="w-full mx-auto px-4 pb-8">
                <h2 class="text-4xl font-extrabold text-black tracking-tight font-bold mb-1 text-center text-black">Grow your followers</h2>
                <p class="text-lg text-black tracking-tight text-center">Turn your audience into followers by letting them perform social actions before unlocking your content.</p>
                <div class="flex items-center pt-20">
                        <div class="relative mx-auto border-gray-800 dark:border-gray-800 bg-gray-800 border-[14px] rounded-[2.5rem] h-[600px] w-[300px] shadow-xl">
                            <div class="w-[148px] h-[18px] bg-gray-800 top-0 rounded-b-[1rem] left-1/2 -translate-x-1/2 absolute"></div>
                            <div class="h-[46px] w-[3px] bg-gray-800 absolute -start-[17px] top-[124px] rounded-s-lg"></div>
                            <div class="h-[46px] w-[3px] bg-gray-800 absolute -start-[17px] top-[178px] rounded-s-lg"></div>
                            <div class="h-[64px] w-[3px] bg-gray-800 absolute -end-[17px] top-[142px] rounded-e-lg"></div>
                            <div class="rounded-[2rem] overflow-hidden w-[272px] h-[572px] bg-white dark:bg-gray-800">
                                <img src="/images/utils/capture.png" class="dark:hidden w-[272px] h-[572px]" alt="">
                            </div>
                        </div>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="w-full bg-black mx-auto px-4">
    <div class="container mx-auto px-2 md:px-0 py-8">
        <div class="py-6">
            <div class="w-full mx-auto px-4 pb-8">
                <h2 class="text-2xl font-extrabold text-white tracking-tight font-bold mb-1 text-center text-black">⚡ Join thousands of content creators who are already using our platform 🚀</h2>
                <div class="flex items-center justify-center pt-10">

                    <div class="flex flex-col items-center justify-center text-center">
                        <a href="#/" class="w-full font-semibold text-black text-md sm:text-lg rounded-lg py-3 px-5 p-5" style="background: springgreen;">
                            Create one link!
                        </a>
                    </div>

                </div>

            </div>
        </div>
    </div>
</div>
