<div id="successModal" class="fixed inset-0 bg-gray-900 bg-opacity-50 flex items-center justify-center hidden">
    <div class="bg-white rounded-lg shadow-lg w-full m-6 sm:w-2/3 md:w-1/2 lg:w-1/3 xl:w-1/4">
        <div class="py-5 rounded-t-lg" style="background: springgreen;">
            <!-- Success icon centered at the top -->
            <div class="flex items-center justify-center pt-8">
                <svg class="w-20 text-black" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M5 13l4 4L19 7"></path>
                </svg>
            </div>
            <!-- Text of the modal -->
            <div class="text-center pt-4">
                <!-- Title -->
                <h3 class="text-2xl font-extrabold text-black tracking-tight">Link Created! 🥳</h3>
                <!-- Contents -->
                <p class="text-black">Your link has been created successfully.</p>
            </div>
        </div>
        <!-- Content of the modal -->
        <div class="p-4">
            <!-- Title of the entry -->
            <label for="linkInput" class="block text-gray-700 text-lg font-semibold">Your Link (Copy this link):</label>
            <!-- Input to show the link -->
            <div class="relative">
                <input id="linkInput" type="text" class="text-lg px-4 py-2 border border-gray-300 rounded-lg w-full focus:outline-none focus:ring focus:ring-black" readonly>
                <!-- Copy to clipboard button -->
                <button id="copyButton" class="absolute right-4 top-1/2 -translate-y-1/2 text-gray-900 hover:bg-gray-100 rounded-lg py-2 px-2.5 inline-flex items-center justify-center bg-white border border-gray-200">
            <span id="default-message" class="inline-flex items-center">
                <svg class="w-4 h-4 me-1.5" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" fill="currentColor" viewBox="0 0 18 20">
                    <path d="M16 1h-3.278A1.992 1.992 0 0 0 11 0H7a1.993 1.993 0 0 0-1.722 1H2a2 2 0 0 0-2 2v15a2 2 0 0 0 2 2h14a2 2 0 0 0 2-2V3a2 2 0 0 0-2-2Zm-3 14H5a1 1 0 0 1 0-2h8a1 1 0 0 1 0 2Zm0-4H5a1 1 0 0 1 0-2h8a1 1 0 1 1 0 2Zm0-5H5a1 1 0 0 1 0-2h2V2h4v2h2a1 1 0 1 1 0 2Z"/>
                </svg>
                <span class="text-xs font-semibold">Copy</span>
            </span>
                    <span id="success-message" class="hidden inline-flex items-center">
                <svg class="w-4 h-4 text-blue-700 me-1.5" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 16 12">
                    <path stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M1 5.917 5.724 10.5 15 1.5"/>
                </svg>
                <span class="text-xs font-semibold text-blue-700">Copied</span>
            </span>
                </button>
            </div>
        </div>

        <!-- "Excellent" button to close the modal -->
        <div class="text-center pb-5 p-5">
            <button id="closeModal" class="w-full px-4 py-2 bg-black text-lg font-semibold text-white rounded-md focus:outline-none focus:ring focus:ring-blue-400">
                Excellent!
            </button>
        </div>

    </div>

</div>
