<div class="container mx-auto px-2">
    <div class="sm:flex grid-cols-3 gap-4 sm:space-x-4 justify-center items-center">
        <!-- Ad Space #1 -->
        <x-ad id="{{config('custom.adsense.id')}}" slot="{{config('custom.adsense.slot1')}}"></x-ad>
        <div class="bg-white rounded-xl shadow-lg overflow-hidden w-auto sm:w-3/3">
            <div class="p-8">
                <div class="text-center pb-2">
                    <!-- Lock icon -->
                    <i class="fas fa-lock text-3xl text-green-400"></i>
                    <!-- Title -->
                    <h3 class="font-extrabold text-xl text-black tracking-tight mt-4">Complete the steps to proceed</h3>
                </div>

                <!-- Subtitle -->
                <p class="text-center text-gray-700">To access the target site you will need to quickly complete the steps below.</p>

                <div class="py-5" id="steps-container">
                    @foreach ($stepsWithValues as $step)
                        <button class="w-full bg-white border rounded-md p-4 mb-4 hover:bg-gray-100 flex items-start block step-btn" data-url="{{ $step['url'] }}">
                            <i class="{{ $step['icon'] }} mr-3 text-2xl hidden sm:block" style="color: {{ $step['color'] }} "></i> <!-- Icon on the left -->
                            <div class="flex-grow"> <!-- To center text vertically -->
                                <h2 class="text-md font-bold ">{{ $step['action'] }}</h2>
                                <p class="text-sm text-gray-500">{{ $step['subtitle'] }}</p>
                            </div>
                        </button>
                    @endforeach
                </div>

                <div class="flex justify-center">
                    <!-- Target URL as blocked and opaque button -->
                    <button class="text-md w-full bg-black text-white font-medium p-3 rounded-lg text-center opacity-50 cursor-not-allowed flex items-center justify-center" id="target-url-btn" disabled>
                        PROCEED TO TARGET SITE
                    </button>
                </div>
            </div>


        </div>

        <!-- Ad Space #2 -->
        <x-ad id="{{config('custom.adsense.id')}}" slot="{{config('custom.adsense.slot2')}}"></x-ad>

    </div>
    <div class="flex justify-center items-center pb-4">
        <div class="pt-3">
            <p class="text-xs font-semibold">Powered by RM Software</p>
        </div>
    </div>

</div>

<script>
  const stepsWithValues = {!! json_encode($stepsWithValues) !!};
  const targetUrl = '{{ $link->url_target }}';
</script>

<script src="/js/app.js"></script>
