<!DOCTYPE html>
<html lang="es" class="h-full">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?php echo e(config('custom.site.title')); ?> - <?php echo e(config('custom.site.subtitle')); ?></title>
    <meta name="keywords" content="<?php echo e(config('custom.site.keywords')); ?>">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <script src="https://cdn.tailwindcss.com"></script>
    <script src="https://kit.fontawesome.com/255525cd55.js" crossorigin="anonymous"></script>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script data-ad-client="<?php echo e(config('custom.adsense.id')); ?>" async src="https://pagead2.googlesyndication.com/pagead/js/adsbygoogle.js"></script>
    <?php echo app('Illuminate\Foundation\Vite')(['resources/css/app.css', 'resources/js/app.js']); ?>

</head>
<body class="h-full">
<div class="min-h-full " style="background: springgreen;">
  <nav class="bg-black">
    <div class="mx-auto max-w-7xl px-4 sm:px-6 lg:px-8">
      <div class="flex h-16 items-center justify-between">
        <div class="flex items-center">
          <div class="flex-shrink-0">
            <a href="/"><img class="h-9 w-30" src="<?php echo e(config('custom.logos.logo')); ?>" alt="Your Company"></a>
          </div>
          <div class="hidden md:block">
            <div class="ml-10 flex items-baseline space-x-4">

            </div>
          </div>
        </div>
          <div class="hidden md:flex">
              <!-- Menú para dispositivos grandes -->
              <div class="relative inline-block text-left z-10">
                  <button type="button" id="desktop-menu-toggle" class="inline-flex items-center justify-center rounded-md bg-transparent p-2 text-white" aria-haspopup="true" aria-expanded="false" onclick="toggleMenu('desktop')">
                      <span class="sr-only">Open main menu</span>
                      <!-- Icono del menú cerrado -->
                      <svg class="block h-8 w-8" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" aria-hidden="true">
                          <path stroke-linecap="round" stroke-linejoin="round" d="M3.75 6.75h16.5M3.75 12h16.5m-16.5 5.25h16.5" />
                      </svg>
                  </button>
                  <!-- Dropdown -->
                  <div id="desktop-menu-dropdown" class="hidden origin-top-right absolute right-0 mt-3 w-48 rounded-md shadow-lg bg-white ring-1 ring-black ring-opacity-5 focus:outline-none z-20 block" role="menu" aria-orientation="vertical" aria-labelledby="desktop-menu-toggle" tabindex="-1">
                      <div class="py-1" role="none">
                          <a href="#" class="block px-4 py-2 text-md text-black font-semibold hover:bg-gray-100" role="menuitem" tabindex="-1" id="menu-item-1">FAQs</a>
                          <a href="#" class="block px-4 py-2 text-md text-black font-semibold hover:bg-gray-100" role="menuitem" tabindex="-1" id="menu-item-2">X (Twitter)</a>
                      </div>
                  </div>
              </div>
          </div>

          <div class="-mr-2 flex md:hidden">
              <!-- Menú para dispositivos móviles -->
              <button type="button" id="mobile-menu-toggle" class="inline-flex items-center justify-center rounded-md bg-gray-800 p-2 text-gray-400 hover:bg-gray-700 hover:text-white focus:outline-none focus:ring-2 focus:ring-white focus:ring-offset-2 focus:ring-offset-gray-800" aria-controls="mobile-menu" aria-expanded="false" onclick="toggleMenu('mobile')">
                  <span class="sr-only">Open main menu</span>
                  <!-- Icono del menú cerrado -->
                  <svg class="block h-6 w-6" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" aria-hidden="true">
                      <path stroke-linecap="round" stroke-linejoin="round" d="M3.75 6.75h16.5M3.75 12h16.5m-16.5 5.25h16.5" />
                  </svg>
              </button>
          </div>

          <div id="mobile-menu" class="hidden md:hidden absolute top-16 inset-x-0 p-2 transition transform origin-top-right bg-white shadow-md rounded-b-md z-20">
              <!-- Contenido del menú -->
              <ul class="px-2 py-1">
                  <li><a href="#" class="block px-4 py-2 text-black font-semibold hover:bg-gray-200">FAQs</a></li>
                  <li><a href="#" class="block px-4 py-2 text-black font-semibold hover:bg-gray-200">X (Twitter)</a></li>
                  <!-- Agrega más opciones según sea necesario -->
              </ul>
          </div>



      </div>
    </div>
  </nav>
  <main>
  <div class="mx-auto w-auto pt-5">
  <?php echo e($slot); ?>

    </div>
  </main>

    <!-- Mobile menu button
    <footer class="bg-white shadow dark:bg-gray-800">
        <div class="w-full mx-auto max-w-screen-xl p-4 md:flex md:items-center md:justify-between">
      <span class="text-sm text-gray-500 sm:text-center dark:text-gray-400">© 2024 <a href="/" class="hover:underline">SocialUp™</a>. All Rights Reserved.
    </span>
            <ul class="flex flex-wrap items-center mt-3 text-sm font-medium text-gray-500 dark:text-gray-400 sm:mt-0">
                <li>
                    <a href="#" class="hover:underline me-4 md:me-6">About</a>
                </li>
                <li>
                    <a href="#" class="hover:underline me-4 md:me-6">Privacy Policy</a>
                </li>
                <li>
                    <a href="#" class="hover:underline me-4 md:me-6">Licensing</a>
                </li>
                <li>
                    <a href="#" class="hover:underline">Contact</a>
                </li>
            </ul>
        </div>
    </footer>
-->
</div>

</body>
</html>
<?php /**PATH C:\laragon\www\aprendizaje\resources\views/components/app.blade.php ENDPATH**/ ?>